你当前正在访问 Microsoft Azure Global Edition 技术文档网站。 如果需要访问由世纪互联运营的 Microsoft Azure 中国技术文档网站,请访问 https://docs.azure.cn

Cloud Vm Clusters - Update

更新 CloudVmCluster

PATCH https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Oracle.Database/cloudVmClusters/{cloudvmclustername}?api-version=2025-09-01

URI 参数

名称 必需 类型 说明
cloudvmclustername
path True

string

pattern: .*

CloudVmCluster 名称

resourceGroupName
path True

string

minLength: 1
maxLength: 90

资源组的名称。 此名称不区分大小写。

subscriptionId
path True

string (uuid)

目标订阅的 ID。 该值必须是 UUID。

api-version
query True

string

minLength: 1

要用于此操作的 API 版本。

请求正文

名称 类型 说明
properties.computeNodes

string[]

minLength: 1
maxLength: 255

要添加到云 VM 群集的计算服务器列表。

properties.cpuCoreCount

integer (int32)

在云 VM 群集上启用的 CPU 核心数。

properties.dataCollectionOptions

DataCollectionOptions

指示 VM 群集/云 VM 群集/VMBM DBCS 的各种诊断收集选项的用户首选项。

properties.dataStorageSizeInTbs

number (double)

要以 TB 分配的数据磁盘组大小。

properties.dbNodeStorageSizeInGbs

integer (int32)

要分配在 GB 中的本地节点存储。

properties.displayName

string

minLength: 1
maxLength: 255

显示名称

properties.fileSystemConfigurationDetails

FileSystemConfigurationDetails[]

装载路径和大小的数组。

properties.licenseModel

LicenseModel

适用于云 VM 群集的 Oracle 许可证模型。 默认值为LICENSE_INCLUDED。

properties.memorySizeInGbs

integer (int32)

要以 GB 分配的内存。

properties.ocpuCount

number (float)

在云 VM 群集上启用的 OCPU 核心数。 仅允许小数部分使用 1 个小数位数。

properties.sshPublicKeys

string[]

用于 SSH 访问云 VM 群集的一个或多个密钥对的公钥部分。

properties.storageSizeInGbs

integer (int32)

要在每个 VM 的 GB 中分配的数据磁盘组大小。

tags

object

资源标记。

响应

名称 类型 说明
200 OK

CloudVmCluster

Azure作已成功完成。

202 Accepted

接受资源更新请求。

标头

  • Location: string
  • Retry-After: integer
Other Status Codes

ErrorResponse

意外错误响应。

安全性

azure_auth

Azure Active Directory OAuth2 Flow。

类型: oauth2
流向: implicit
授权 URL: https://login.microsoftonline.com/common/oauth2/authorize

作用域

名称 说明
user_impersonation 模拟用户帐户

示例

Patch VM Cluster
Patch VM Cluster - generated by [MaximumSet] rule
Patch VM Cluster - generated by [MinimumSet] rule

Patch VM Cluster

示例请求

PATCH https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg000/providers/Oracle.Database/cloudVmClusters/cluster1?api-version=2025-09-01

{}

示例响应

{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg000/providers/Oracle.Database/cloudVmClusters/cluster1",
  "type": "Oracle.Database/cloudVmClusters",
  "location": "eastus",
  "tags": {
    "tagK1": "tagV1"
  },
  "properties": {
    "ocid": "ocid1..aaaa",
    "listenerPort": 1050,
    "nodeCount": 100,
    "storageSizeInGbs": 1000,
    "dataStorageSizeInTbs": 10,
    "dbNodeStorageSizeInGbs": 100,
    "memorySizeInGbs": 1000,
    "timeCreated": "2023-10-22T02:18:35.683Z",
    "lifecycleDetails": "success",
    "timeZone": "UTC",
    "zoneId": "ocid1..aaaa",
    "hostname": "hostname1",
    "domain": "domain1",
    "cpuCoreCount": 10,
    "ocpuCount": 100,
    "clusterName": "cluster1",
    "dataStoragePercentage": 80,
    "isLocalBackupEnabled": false,
    "cloudExadataInfrastructureId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg000/providers/Oracle.Database/cloudExadataInfrastructures/infra1",
    "isSparseDiskgroupEnabled": false,
    "sshPublicKeys": [
      "ssh-key 1"
    ],
    "licenseModel": "LicenseIncluded",
    "scanListenerPortTcp": 1050,
    "scanListenerPortTcpSsl": 1025,
    "vnetId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg000/providers/Microsoft.Network/virtualNetworks/vnet1",
    "giVersion": "19.0.0.0",
    "subnetId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg000/providers/Microsoft.Network/virtualNetworks/vnet1/subnets/subnet1",
    "backupSubnetCidr": "172.17.5.0/24",
    "systemVersion": "v1",
    "diskRedundancy": "High",
    "scanIpIds": [
      "10.0.0.1"
    ],
    "vipIds": [
      "10.0.1.3"
    ],
    "scanDnsName": "dbdns1",
    "scanDnsRecordId": "scandns1",
    "shape": "EXADATA.X9M",
    "provisioningState": "Succeeded",
    "ociUrl": "https://fake",
    "dataCollectionOptions": {
      "isDiagnosticsEventsEnabled": false,
      "isHealthMonitoringEnabled": false,
      "isIncidentLogsEnabled": false
    },
    "displayName": "cluster 1",
    "iormConfigCache": {
      "dbPlans": [
        {
          "dbName": "db1",
          "flashCacheLimit": "none",
          "share": 32
        }
      ],
      "lifecycleDetails": "Disabled",
      "lifecycleState": "Disabled",
      "objective": "LowLatency"
    },
    "lastUpdateHistoryEntryId": "none",
    "dbServers": [
      "ocid1..aaaa"
    ],
    "compartmentId": "ocid1..aaaaaa",
    "subnetOcid": "ocid1..aaaaaa"
  }
}
Retry-After: 10000000
Location: eastus

Patch VM Cluster - generated by [MaximumSet] rule

示例请求

PATCH https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rgopenapi/providers/Oracle.Database/cloudVmClusters/cloudvmcluster1?api-version=2025-09-01

{
  "tags": {
    "key4668": "gtrpgiq"
  },
  "properties": {
    "storageSizeInGbs": 17,
    "fileSystemConfigurationDetails": [
      {
        "mountPoint": "gukfhjlmkqfqdgb",
        "fileSystemSizeGb": 20
      }
    ],
    "dataStorageSizeInTbs": 29,
    "dbNodeStorageSizeInGbs": 24,
    "memorySizeInGbs": 9,
    "cpuCoreCount": 18,
    "ocpuCount": 7,
    "sshPublicKeys": [
      "hazhcc"
    ],
    "licenseModel": "LicenseIncluded",
    "dataCollectionOptions": {
      "isDiagnosticsEventsEnabled": true,
      "isHealthMonitoringEnabled": true,
      "isIncidentLogsEnabled": true
    },
    "displayName": "hvdyewkjqjxwzinkqnnsqxbmccteohzumz",
    "computeNodes": [
      "ggficcnjgibtuqgdbbrzyckmtlhddecfcvjurboqfufqchgpvwmlcdcyyxnjivpkvsvr"
    ]
  }
}

示例响应

{
  "properties": {
    "dataStorageSizeInTbs": 1000,
    "dbNodeStorageSizeInGbs": 1000,
    "memorySizeInGbs": 1000,
    "timeZone": "UTC",
    "hostname": "hostname1",
    "domain": "domain1",
    "cpuCoreCount": 2,
    "ocpuCount": 3,
    "clusterName": "cluster1",
    "dataStoragePercentage": 100,
    "isLocalBackupEnabled": true,
    "cloudExadataInfrastructureId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg000/providers/Oracle.Database/cloudExadataInfrastructures/infra1",
    "isSparseDiskgroupEnabled": true,
    "sshPublicKeys": [
      "hazhcc"
    ],
    "nsgCidrs": [
      {
        "source": "10.0.0.0/16",
        "destinationPortRange": {
          "min": 1520,
          "max": 1522
        }
      },
      {
        "source": "10.10.0.0/24",
        "destinationPortRange": {
          "min": 9434,
          "max": 11996
        }
      }
    ],
    "licenseModel": "LicenseIncluded",
    "scanListenerPortTcp": 1050,
    "scanListenerPortTcpSsl": 1025,
    "vnetId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg000/providers/Microsoft.Network/virtualNetworks/vnet1",
    "giVersion": "19.0.0.0",
    "subnetId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg000/providers/Microsoft.Network/virtualNetworks/vnet1/subnets/subnet1",
    "backupSubnetCidr": "172.17.5.0/24",
    "dataCollectionOptions": {
      "isDiagnosticsEventsEnabled": true,
      "isHealthMonitoringEnabled": true,
      "isIncidentLogsEnabled": true
    },
    "displayName": "cluster 1",
    "dbServers": [
      "ocid1..aaaa"
    ],
    "ocid": "ocid1..aaaa",
    "listenerPort": 1050,
    "nodeCount": 100,
    "storageSizeInGbs": 1000,
    "fileSystemConfigurationDetails": [
      {
        "mountPoint": "gukfhjlmkqfqdgb",
        "fileSystemSizeGb": 20
      }
    ],
    "timeCreated": "2023-10-22T02:18:35.683Z",
    "lifecycleDetails": "success",
    "zoneId": "ocid1..aaaa",
    "systemVersion": "v1",
    "diskRedundancy": "High",
    "scanIpIds": [
      "10.0.0.1"
    ],
    "vipIds": [
      "10.0.1.3"
    ],
    "scanDnsName": "dbdns1",
    "scanDnsRecordId": "scandns1",
    "shape": "EXADATA.X9M",
    "provisioningState": "Succeeded",
    "lifecycleState": "Provisioning",
    "ociUrl": "https://fake",
    "nsgUrl": "https://microsoft.com/a",
    "iormConfigCache": {
      "dbPlans": [
        {
          "dbName": "db1",
          "flashCacheLimit": "none",
          "share": 32
        }
      ],
      "lifecycleDetails": "Disabled",
      "lifecycleState": "Disabled",
      "objective": "LowLatency"
    },
    "lastUpdateHistoryEntryId": "none",
    "compartmentId": "ocid1..aaaaaa",
    "subnetOcid": "ocid1..aaaaaa",
    "computeModel": "ECPU"
  },
  "location": "eastus",
  "tags": {},
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg000/providers/Oracle.Database/cloudVmClusters/cluster1",
  "name": "tvodakfvzrbipruplzk",
  "type": "Oracle.Database/cloudVmClusters",
  "systemData": {
    "createdBy": "sqehacivpuim",
    "createdByType": "User",
    "createdAt": "2025-08-01T04:32:58.716Z",
    "lastModifiedBy": "axrqfdkqylvjv",
    "lastModifiedByType": "User",
    "lastModifiedAt": "2025-08-01T04:32:58.716Z"
  }
}
location: https://contoso.com/operationstatus

Patch VM Cluster - generated by [MinimumSet] rule

示例请求

PATCH https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rgopenapi/providers/Oracle.Database/cloudVmClusters/cloudvmcluster1?api-version=2025-09-01

{}

示例响应

{
  "location": "eastus"
}
location: https://contoso.com/operationstatus

定义

名称 说明
AzureResourceProvisioningState

Azure 资源预配状态枚举

CloudVmCluster

CloudVmCluster 资源定义

CloudVmClusterLifecycleState

云虚拟机集群生命周期状态枚举

CloudVmClusterUpdate

用于 CloudVmCluster 更新作的类型。

ComputeModel

计算模型枚举

createdByType

创建资源的标识的类型。

DataCollectionOptions

DataCollectionOptions 资源属性

DbIormConfig

云虚拟机集群的 DbIormConfig

DiskRedundancy

磁盘冗余枚举

ErrorAdditionalInfo

资源管理错误附加信息。

ErrorDetail

错误详细信息。

ErrorResponse

错误响应

ExadataIormConfig

用于云虚拟机集群的 ExadataIormConfig

ExadataVmClusterStorageManagementType

指定云虚拟机集群的存储管理类型(如果其为 ASM 或百亿亿次级)。

FileSystemConfigurationDetails

文件配置选项

IormLifecycleState

ORM 生命周期状态枚举

LicenseModel

LicenseModel 枚举

NsgCidr

允许入站 (INGRESS) IP 数据包的规则

Objective

目标枚举

PortRange

端口范围,用于指定 TCP 规则的特定目标端口。

systemData

与创建和上次修改资源相关的元数据。

AzureResourceProvisioningState

Azure 资源预配状态枚举

说明
Succeeded

已创建资源。

Failed

资源创建失败。

Canceled

资源创建已取消。

Provisioning

指示资源处于“正在配置”状态

CloudVmCluster

CloudVmCluster 资源定义

名称 类型 默认值 说明
id

string (arm-id)

资源的完全限定资源 ID。 例如“/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}”

location

string

资源所在的地理位置

name

string

资源的名称

properties.backupSubnetCidr

string

minLength: 1
maxLength: 32

客户端 OCI 备份子网 CIDR,默认值为 192.168.252.0/22

properties.cloudExadataInfrastructureId

string (arm-id)

云 Exadata 基础结构 ID

properties.clusterName

string

minLength: 1
maxLength: 11

云 VM 群集的群集名称。 群集名称必须以字母字符开头,并且可能包含连字符(-)。 不允许下划线 (_) 。 群集名称不能超过 11 个字符,并且不区分大小写。

properties.compartmentId

string

minLength: 1
maxLength: 255

集群区间 Id

properties.computeModel

ComputeModel

VM 集群的计算模型。

properties.computeNodes

string[]

minLength: 1
maxLength: 255

要添加到云 VM 群集的计算服务器列表。

properties.cpuCoreCount

integer (int32)

在云 VM 群集上启用的 CPU 核心数。

properties.dataCollectionOptions

DataCollectionOptions

指示 VM 群集/云 VM 群集/VMBM DBCS 的各种诊断收集选项的用户首选项。

properties.dataStoragePercentage

integer (int32)

分配给数据存储的百分比(用户数据和数据库文件)。 剩余百分比分配给 RECO 存储(数据库重做日志、存档日志和恢复管理器备份)。 接受的值为 35、40、60 和 80。 默认值为分配给数据存储的 80%。 有关配置设置对存储的影响的详细信息,请参阅 Exadata 文档中的 存储配置

properties.dataStorageSizeInTbs

number (double)

要以 TB 分配的数据磁盘组大小。

properties.dbNodeStorageSizeInGbs

integer (int32)

要分配在 GB 中的本地节点存储。

properties.dbServers

string[]

minLength: 1
maxLength: 255

数据库服务器列表。

properties.diskRedundancy

DiskRedundancy

为云虚拟机集群配置的冗余类型。 NORMAL 是 2 路冗余。 HIGH 是 3 路冗余。

properties.displayName

string

minLength: 1
maxLength: 255

显示名称

properties.domain

string

云 VM 群集的域名。

properties.exascaleDbStorageVaultId

string (arm-id)

Exadata 数据库存储保管库 ID

properties.fileSystemConfigurationDetails

FileSystemConfigurationDetails[]

装载路径和大小的数组。

properties.giVersion

string

Oracle 网格基础结构 (GI) 软件版本

properties.hostname

string

minLength: 1
maxLength: 23

云 VM 群集的主机名。

properties.iormConfigCache

ExadataIormConfig

云 VM 集群的 iormConfigCache 详细信息。

properties.isLocalBackupEnabled

boolean

False

如果为 true,则为云 VM 群集配置本地 Exadata 存储上的数据库备份。 如果为 false,则云 VM 群集中不提供本地 Exadata 存储上的数据库备份。

properties.isSparseDiskgroupEnabled

boolean

False

如果为 true,则为云 VM 群集配置稀疏磁盘组。 如果为 false,则不会创建稀疏磁盘组。

properties.lastUpdateHistoryEntryId

string

minLength: 1
maxLength: 255

上次维护更新历史记录条目的 OCID。

properties.licenseModel

LicenseModel

适用于云 VM 群集的 Oracle 许可证模型。 默认值为LICENSE_INCLUDED。

properties.lifecycleDetails

string

有关当前生命周期状态的其他信息。

properties.lifecycleState

CloudVmClusterLifecycleState

CloudVmCluster 生命周期状态

properties.listenerPort

integer (int64)

为云虚拟机集群上的侦听器配置的端口号。

properties.memorySizeInGbs

integer (int32)

要以 GB 分配的内存。

properties.nodeCount

integer (int32)

云虚拟机集群中的节点数。

properties.nsgCidrs

NsgCidr[]

用于其他 NSG 入口规则的 CIDR 块。 默认情况下,将添加用于预配 VM 群集的 VNETCID。

properties.nsgUrl

string (uri)

通过 Azure 接口向 Azure 客户公开的 OCI 网络安全组的 HTTPS 链接。

properties.ociUrl

string (uri)

通过 Azure 接口向 Azure 客户公开的 OCI 资源的 HTTPS 链接。

properties.ocid

string

minLength: 1
maxLength: 255

云虚拟机集群 ocid

properties.ocpuCount

number (float)

在云 VM 群集上启用的 OCPU 核心数。 仅允许小数部分使用 1 个小数位数。

properties.provisioningState

AzureResourceProvisioningState

CloudVmCluster 预置状态

properties.scanDnsName

string

minLength: 1
maxLength: 72

与云虚拟机集群关联的 SCAN IP 地址的 DNS 记录的 FQDN。

properties.scanDnsRecordId

string

minLength: 1
maxLength: 255

与云虚拟机集群关联的 SCAN IP 地址的 DNS 记录的 OCID。

properties.scanIpIds

string[]

与云虚拟机集群关联的单客户端访问名称 (SCAN) IP 地址。 SCAN IP 地址通常用于负载平衡,不分配给任何接口。 Oracle Clusterware 将请求定向到集群中的相应节点。 注意: 对于单节点数据库系统,此列表为空。

properties.scanListenerPortTcp

integer (int32)

TCP 单一客户端访问名称 (SCAN) 端口。 默认端口为 1521。

properties.scanListenerPortTcpSsl

integer (int32)

TCPS 单一客户端访问名称 (SCAN) 端口。 默认端口为 2484。

properties.shape

string

minLength: 1
maxLength: 255

运行云虚拟机集群的 Exadata 硬件的型号名称。

properties.sshPublicKeys

string[]

用于 SSH 访问云 VM 群集的一个或多个密钥对的公钥部分。

properties.storageManagementType

ExadataVmClusterStorageManagementType

指定虚拟机集群的存储管理类型是 ASM 还是百亿次级。

properties.storageSizeInGbs

integer (int32)

要在每个 VM 的 GB 中分配的数据磁盘组大小。

properties.subnetId

string (arm-id)

客户端子网

properties.subnetOcid

string

minLength: 1
maxLength: 255

集群子网 ocid

properties.systemVersion

string

minLength: 1
maxLength: 255

映像的作系统版本。

properties.timeCreated

string (date-time)

创建云虚拟机集群的日期和时间。

properties.timeZone

string

minLength: 1
maxLength: 255

云 VM 群集的时区。 有关详细信息,请参阅 Exadata 基础结构时区

properties.vipIds

string[]

与云虚拟机集群关联的虚拟 IP (VIP) 地址。 集群就绪服务 (CRS) 为 Exadata Cloud Service 实例中的每个节点创建并维护一个 VIP 地址,以启用故障转移。 如果一个节点发生故障,则 VIP 将重新分配给集群中的另一个活动节点。 注意: 对于单节点数据库系统,此列表为空。

properties.vnetId

string (arm-id)

用于网络连接的 VNET

properties.zoneId

string

minLength: 1
maxLength: 255

与云 VM 群集关联的区域的 OCID。

systemData

systemData

包含 createdBy 和 modifiedBy 信息的 Azure 资源管理器元数据。

tags

object

资源标记。

type

string

资源类型。 例如“Microsoft.Compute/virtualMachines”或“Microsoft.Storage/storageAccounts”

CloudVmClusterLifecycleState

云虚拟机集群生命周期状态枚举

说明
Provisioning

指示资源处于“正在配置”状态

Available

指示资源处于可用状态

Updating

指示处于“正在更新”状态的资源

Terminating

指示处于“终止”状态的资源

Terminated

指示资源处于“已终止”状态

MaintenanceInProgress

指示资源维护正在进行状态

Failed

指示资源处于“失败”状态

CloudVmClusterUpdate

用于 CloudVmCluster 更新作的类型。

名称 类型 说明
properties.computeNodes

string[]

minLength: 1
maxLength: 255

要添加到云 VM 群集的计算服务器列表。

properties.cpuCoreCount

integer (int32)

在云 VM 群集上启用的 CPU 核心数。

properties.dataCollectionOptions

DataCollectionOptions

指示 VM 群集/云 VM 群集/VMBM DBCS 的各种诊断收集选项的用户首选项。

properties.dataStorageSizeInTbs

number (double)

要以 TB 分配的数据磁盘组大小。

properties.dbNodeStorageSizeInGbs

integer (int32)

要分配在 GB 中的本地节点存储。

properties.displayName

string

minLength: 1
maxLength: 255

显示名称

properties.fileSystemConfigurationDetails

FileSystemConfigurationDetails[]

装载路径和大小的数组。

properties.licenseModel

LicenseModel

适用于云 VM 群集的 Oracle 许可证模型。 默认值为LICENSE_INCLUDED。

properties.memorySizeInGbs

integer (int32)

要以 GB 分配的内存。

properties.ocpuCount

number (float)

在云 VM 群集上启用的 OCPU 核心数。 仅允许小数部分使用 1 个小数位数。

properties.sshPublicKeys

string[]

用于 SSH 访问云 VM 群集的一个或多个密钥对的公钥部分。

properties.storageSizeInGbs

integer (int32)

要在每个 VM 的 GB 中分配的数据磁盘组大小。

tags

object

资源标记。

ComputeModel

计算模型枚举

说明
ECPU

ECPU型号类型

OCPU

OCPU 模型类型

createdByType

创建资源的标识的类型。

说明
User
Application
ManagedIdentity
Key

DataCollectionOptions

DataCollectionOptions 资源属性

名称 类型 默认值 说明
isDiagnosticsEventsEnabled

boolean

False

指示是否为 VM 群集/云 VM 群集/VMBM DBCS 启用诊断收集。

isHealthMonitoringEnabled

boolean

False

指示是否为 VM 群集/云 VM 群集/VMBM DBCS 启用运行状况监视。

isIncidentLogsEnabled

boolean

False

指示是否为 VM 群集/云 VM 群集/VMBM DBCS 启用事件日志和跟踪收集。

DbIormConfig

云虚拟机集群的 DbIormConfig

名称 类型 说明
dbName

string

数据库名称。 对于默认 DbPlan,dbName 是默认的。

flashCacheLimit

string

此数据库的闪存缓存限制。 此值是根据分配给数据库的共享值在内部配置的。

share

integer (int32)

minimum: 1
maximum: 32

此数据库的相对优先级。

DiskRedundancy

磁盘冗余枚举

说明
High

高冗余

Normal

正常冗余

ErrorAdditionalInfo

资源管理错误附加信息。

名称 类型 说明
info

object

其他信息。

type

string

其他信息类型。

ErrorDetail

错误详细信息。

名称 类型 说明
additionalInfo

ErrorAdditionalInfo[]

错误附加信息。

code

string

错误代码。

details

ErrorDetail[]

错误详细信息。

message

string

错误消息。

target

string

错误目标。

ErrorResponse

错误响应

名称 类型 说明
error

ErrorDetail

错误对象。

ExadataIormConfig

用于云虚拟机集群的 ExadataIormConfig

名称 类型 说明
dbPlans

DbIormConfig[]

Exadata 数据库系统中所有数据库的 IORM 设置数组。

lifecycleDetails

string

有关当前 lifecycleState 的其他信息。

lifecycleState

IormLifecycleState

Exadata 数据库系统的 IORM 配置的当前状态。

objective

Objective

IORM 目标的当前值。 默认值为 AUTO。

ExadataVmClusterStorageManagementType

指定云虚拟机集群的存储管理类型(如果其为 ASM 或百亿亿次级)。

说明
ASM

指示云虚拟机集群的存储管理为 ASM

Exascale

指示云虚拟机集群的存储管理为百亿亿次级

FileSystemConfigurationDetails

文件配置选项

名称 类型 说明
fileSystemSizeGb

integer (int32)

VM 的大小

mountPoint

string

装载路径

IormLifecycleState

ORM 生命周期状态枚举

说明
BootStrapping

指示资源处于“正在配置”状态

Enabled

指示资源处于“已启用”状态

Disabled

指示资源处于“已禁用”状态

Updating

指示处于“正在更新”状态的资源

Failed

指示资源处于“失败”状态

LicenseModel

LicenseModel 枚举

说明
LicenseIncluded

包括许可证

BringYourOwnLicense

自带许可证

NsgCidr

允许入站 (INGRESS) IP 数据包的规则

名称 类型 说明
destinationPortRange

PortRange

用于指定 TCP 规则的特定目标端口的目标端口范围。

source

string

minLength: 1
maxLength: 128

从概念上讲,这是传入实例的数据包可以来自的 IP 地址范围。

Objective

目标枚举

说明
LowLatency

低延迟目标

HighThroughput

高通量物镜

Balanced

平衡的目标

Auto

自动物镜

Basic

基本目标

PortRange

端口范围,用于指定 TCP 规则的特定目标端口。

名称 类型 说明
max

integer (int32)

minimum: 1
maximum: 65535

最大端口号,不得小于最小端口号。 若要指定单个端口号,请将最小值和最大值设置为相同的值。

min

integer (int32)

minimum: 1
maximum: 65535

最小端口号,不得大于最大端口号。

systemData

与创建和上次修改资源相关的元数据。

名称 类型 说明
createdAt

string (date-time)

资源创建时间戳(UTC)。

createdBy

string

创建资源的标识。

createdByType

createdByType

创建资源的标识的类型。

lastModifiedAt

string (date-time)

上次修改的资源时间戳(UTC)

lastModifiedBy

string

上次修改资源的标识。

lastModifiedByType

createdByType

上次修改资源的标识的类型。